#!/bin/sh
###############################################################################
##
##              DELL INC. PROPRIETARY INFORMATION
##
##  This software is supplied under the terms of a license agreement or
##  nondisclosure agreement with Dell Inc. and may not be copied or disclosed 
##  except in accordance with the terms of that agreement.
##
##  Copyright (c) 2003-2005 Dell Inc. All Rights Reserved.
## 
##  Abstract/Purpose:
##
##  Environment:
##    Linux
##
##  Version:
##    $Revision $
##
###############################################################################
# Determine if the application has been launched from an xterm or XWindows
case $TERM in 
    xterm* | ansi* | vt100* | screen*) # Do nothing
        ;;
    dumb* | linux*)
        [ -n "$DISPLAY" -a -n "$XAUTHORITY" ] && {
            tty --quiet || exec xterm +ls -e $0 $@ || $0 $@
        }
        ;;

    *) exec xterm +ls -e $0 $@
        ;;
esac

# Exit on any IPMI failures
#source dellIPMI.sh $@ || exit $?

# Modprobe IPMI drivers just in case they were manually stopped
lsmod | grep ipmi_msghandler > /dev/null
[ $? -ne 0 ] && { modprobe ipmi_msghandler; sleep 1; }
lsmod | grep ipmi_devintf > /dev/null
[ $? -ne 0 ] && { modprobe ipmi_devintf; sleep 1; }
lsmod | grep ipmi_si > /dev/null
[ $? -ne 0 ] && { modprobe ipmi_si; sleep 1; }

# Call racsvm
./racsvm $@

exit 0
